diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -59909,14 +60111,14 @@ (define-public rust-version-sync-0.8
     (name "rust-version-sync")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version-sync" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "01pq0ia7ak7d69c3chjgdmaaq271yrspgbzmk6wmrwb74hx3skw4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version-sync" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01pq0ia7ak7d69c3chjgdmaaq271yrspgbzmk6wmrwb74hx3skw4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59943,19 +60145,19 @@ (define-public rust-version-sync-0.6
     (name "rust-version-sync")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version-sync" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0n33s4s4k9sy7rhlrf9lwwyqkjrgwnpfjsz0xzhfh3d3w33jaiq8"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (substitute* "Cargo.toml"
-                   (("~1.1") "1.1"))
-                 #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version-sync" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0n33s4s4k9sy7rhlrf9lwwyqkjrgwnpfjsz0xzhfh3d3w33jaiq8"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (substitute* "Cargo.toml"
+                  (("~1.1") "1.1"))
+                #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-itertools" ,rust-itertools-0.7)
@@ -59997,13 +60199,13 @@ (define-public rust-void-1
     (name "rust-void")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "void" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0zc8f0ksxvmhvgx4fdg0zyn6vdnbxd2xv9hfx4nhzg6kbs4f80ka"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "void" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0zc8f0ksxvmhvgx4fdg0zyn6vdnbxd2xv9hfx4nhzg6kbs4f80ka"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-void")
     (synopsis "Void type for use in statically impossible cases")
@@ -60188,14 +60390,14 @@ (define-public rust-walkdir-2
     (name "rust-walkdir")
     (version "2.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "walkdir" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mnszy33685v8y9js8mw6x2p3iddqs8vfj7n2dhqddnlbirz5340"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "walkdir" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mnszy33685v8y9js8mw6x2p3iddqs8vfj7n2dhqddnlbirz5340"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -60407,19 +60609,19 @@ (define-public rust-wasm-bindgen-0.2
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-      (("rust-cfg-if" ,rust-cfg-if-1)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-json" ,rust-serde-json-1)
-       ("rust-wasm-bindgen-macro" ,rust-wasm-bindgen-macro-0.2))
-      #:cargo-development-inputs
-      (("rust-js-sys" ,rust-js-sys-0.3)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-wasm-bindgen-futures" ,rust-wasm-bindgen-futures-0.4)
-       ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
-       ("rust-wasm-bindgen-test-crate-a"
-        ,rust-wasm-bindgen-test-crate-a-0.1)
-       ("rust-wasm-bindgen-test-crate-b"
-        ,rust-wasm-bindgen-test-crate-b-0.1))))
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-wasm-bindgen-macro" ,rust-wasm-bindgen-macro-0.2))
+       #:cargo-development-inputs
+       (("rust-js-sys" ,rust-js-sys-0.3)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-wasm-bindgen-futures" ,rust-wasm-bindgen-futures-0.4)
+        ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
+        ("rust-wasm-bindgen-test-crate-a"
+         ,rust-wasm-bindgen-test-crate-a-0.1)
+        ("rust-wasm-bindgen-test-crate-b"
+         ,rust-wasm-bindgen-test-crate-b-0.1))))
     (home-page "https://rustwasm.github.io/")
     (synopsis "Easy support for interacting between JS and Rust")
     (description
@@ -60460,14 +60662,14 @@ (define-public rust-wasm-bindgen-console-logger-0.1
     (name "rust-wasm-bindgen-console-logger")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-console-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vc506dhrk2yl0snkcn45s5adndq9wj7ipxb7awbbxzswxss4c3m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-console-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vc506dhrk2yl0snkcn45s5adndq9wj7ipxb7awbbxzswxss4c3m"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -60601,13 +60803,13 @@ (define-public rust-wasm-bindgen-shared-0.2
     (name "rust-wasm-bindgen-shared")
     (version "0.2.69")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-shared" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0n3ir6gq27np22l6m96y342a6fphk1pkbzbfqx6g364kgzfi2y3y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-shared" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0n3ir6gq27np22l6m96y342a6fphk1pkbzbfqx6g364kgzfi2y3y"))))
     (build-system cargo-build-system)
     (home-page "https://rustwasm.github.io/wasm-bindgen/")
     (synopsis "Shared support between wasm-bindgen and wasm-bindgen cli")
@@ -60747,13 +60949,13 @@ (define-public rust-wasm-bindgen-test-macro-0.2
     (name "rust-wasm-bindgen-test-macro")
     (version "0.2.50")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-test-macro" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19bvmw8mqlwh6wkbzgs3cnlkywrv8q2kkqggz6y0p158930xm287"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-test-macro" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19bvmw8mqlwh6wkbzgs3cnlkywrv8q2kkqggz6y0p158930xm287"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.4)
@@ -60928,14 +61130,14 @@ (define-public rust-webpki-0.19
     (name "rust-webpki")
     (version "0.19.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "webpki" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10nhyxlqsa4caxlxrijm5h79rdg6ld8hqy78ldjnnfhaj3biqzjg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10nhyxlqsa4caxlxrijm5h79rdg6ld8hqy78ldjnnfhaj3biqzjg"))))
     (arguments
      `(#:tests? #f  ; tests fail to build "missing file tests/ed25519/ee.der"
        #:cargo-inputs
@@ -61040,9 +61242,9 @@ (define-public rust-webpki-roots-0.17
      (origin
        (method url-fetch)
        (uri (crate-uri "webpki-roots" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "12vi8dh0yik0h4f0b9dnlw5i3gxyky7iblbksh6zcq4xvlvswqm2"))))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12vi8dh0yik0h4f0b9dnlw5i3gxyky7iblbksh6zcq4xvlvswqm2"))))))
 
 (define-public rust-webpki-roots-0.16
   (package
@@ -61050,14 +61252,14 @@ (define-public rust-webpki-roots-0.16
     (name "rust-webpki-roots")
     (version "0.16.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "webpki-roots" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03ny02mwqdgd2ff23k03kbwr2rrcaymxhp7jcjjikfh340hs83y1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki-roots" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03ny02mwqdgd2ff23k03kbwr2rrcaymxhp7jcjjikfh340hs83y1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-untrusted" ,rust-untrusted-0.6)
@@ -61092,9 +61294,9 @@ (define-public rust-webpki-roots-0.14
      (origin
        (method url-fetch)
        (uri (crate-uri "webpki-roots" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "05zw919077i3jadbvdsvl69wv2siijg2pjbykl6fyi7hmgb7bggd"))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "05zw919077i3jadbvdsvl69wv2siijg2pjbykl6fyi7hmgb7bggd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-untrusted" ,rust-untrusted-0.6)
@@ -61220,19 +61422,19 @@ (define-public rust-which-3
     (name "rust-which")
     (version "3.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "which" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "094pw9pi48szshn9ln69z2kg7syq1jp80h5ps1qncbsaw4d0f4fh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "which" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "094pw9pi48szshn9ln69z2kg7syq1jp80h5ps1qncbsaw4d0f4fh"))))
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-failure" ,rust-failure-0.1)
-         ("rust-libc" ,rust-libc-0.2))))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-failure" ,rust-failure-0.1)
+        ("rust-libc" ,rust-libc-0.2))))))
 
 (define-public rust-which-2
   (package
@@ -61302,14 +61504,14 @@ (define-public rust-wide-0.4
     (name "rust-wide")
     (version "0.4.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wide" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ad75vnzygj8qfcl1l9n4wi93xmqzvhqlpqn4hfayrwbn6wa69aq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wide" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ad75vnzygj8qfcl1l9n4wi93xmqzvhqlpqn4hfayrwbn6wa69aq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61346,13 +61548,13 @@ (define-public rust-widestring-0.4
     (name "rust-widestring")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "widestring" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13565qy4jhpg4x0xw8mwxzzsh0p8c93p5208lh6kpwp0q01y6qx7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "widestring" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13565qy4jhpg4x0xw8mwxzzsh0p8c93p5208lh6kpwp0q01y6qx7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -61393,13 +61595,13 @@ (define-public rust-winapi-0.3
     (name "rust-winapi")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06gl025x418lchw1wxj64ycr7gha83m44cjr5sarhynd9xkrm0sw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06gl025x418lchw1wxj64ycr7gha83m44cjr5sarhynd9xkrm0sw"))))
     (build-system cargo-build-system)
     ;; This package depends unconditionally on these two crates.
     (arguments
@@ -61422,13 +61624,13 @@ (define-public rust-winapi-0.2
     (name "rust-winapi")
     (version "0.2.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0yh816lh6lf56dpsgxy189c2ai1z3j8mw9si6izqb6wsjkbcjz8n"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0yh816lh6lf56dpsgxy189c2ai1z3j8mw9si6izqb6wsjkbcjz8n"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-winapi-build-0.1
@@ -61436,13 +61638,13 @@ (define-public rust-winapi-build-0.1
     (name "rust-winapi-build")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-build" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1g4rqsgjky0a7530qajn2bbfcrl2v0zb39idgdws9b1l7gp5wc9d"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-build" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1g4rqsgjky0a7530qajn2bbfcrl2v0zb39idgdws9b1l7gp5wc9d"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Common code for build.rs in WinAPI -sys crates")
@@ -61455,17 +61657,17 @@ (define-public rust-winapi-i686-pc-windows-gnu-0.4
     (name "rust-winapi-i686-pc-windows-gnu")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-i686-pc-windows-gnu" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dmpa6mvcvzz16zg6d5vrfy4bxgg541wxrcip7cnshi06v38ffxc"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file (find-files "." "\\.a$"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-i686-pc-windows-gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dmpa6mvcvzz16zg6d5vrfy4bxgg541wxrcip7cnshi06v38ffxc"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file (find-files "." "\\.a$"))))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Import libraries for the i686-pc-windows-gnu target")
@@ -61480,13 +61682,13 @@ (define-public rust-winapi-util-0.1
     (name "rust-winapi-util")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-util" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0y71bp7f6d536czj40dhqk0d55wfbbwqfp2ymqf1an5ibgl6rv3h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-util" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0y71bp7f6d536czj40dhqk0d55wfbbwqfp2ymqf1an5ibgl6rv3h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-winapi" ,rust-winapi-0.3))))
@@ -61503,17 +61705,17 @@ (define-public rust-winapi-x86-64-pc-windows-gnu-0.4
     (name "rust-winapi-x86-64-pc-windows-gnu")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-x86_64-pc-windows-gnu" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0gqq64czqb64kskjryj8isp62m2sgvx25yyj3kpc2myh85w24bki"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file (find-files "." "\\.a$"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-x86_64-pc-windows-gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0gqq64czqb64kskjryj8isp62m2sgvx25yyj3kpc2myh85w24bki"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file (find-files "." "\\.a$"))))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Import libraries for the x86_64-pc-windows-gnu target")
@@ -61528,13 +61730,13 @@ (define-public rust-wincolor-1
     (name "rust-wincolor")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wincolor" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "017x33ljndwc76cp5z9llgndn0nh7v8jcjaykbizkawmwy9n3pyp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wincolor" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "017x33ljndwc76cp5z9llgndn0nh7v8jcjaykbizkawmwy9n3pyp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61570,26 +61772,26 @@ (define-public rust-win-crypto-ng-0.4
     (name "rust-win-crypto-ng")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "win-crypto-ng" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0v26ssjip8fdilj1j6csnvcny98gb90ra1qlnm2xwjlgivlr5kr4"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-cipher" ,rust-cipher-0.2)
-         ("rust-doc-comment" ,rust-doc-comment-0.3)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-winapi" ,rust-winapi-0.3)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "win-crypto-ng" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0v26ssjip8fdilj1j6csnvcny98gb90ra1qlnm2xwjlgivlr5kr4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cipher" ,rust-cipher-0.2)
+        ("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-winapi" ,rust-winapi-0.3)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://crates.io/crates/win-crypto-ng")
     (synopsis "Safe bindings to MS Windows Cryptography API Next
 Generation")
     (description
-      "Cryptography API Next Generation (CNG) are cryptographic
+     "Cryptography API Next Generation (CNG) are cryptographic
 primitives and utilities provided by the operating system and/or
 hardware.  It is available since Windows Vista and replaces the now
 deprecated CryptoAPI.
@@ -61726,13 +61928,13 @@ (define-public rust-winutil-0.1
     (name "rust-winutil")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winutil" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0vkyl3fbbf05n5ph5yz8sfaccrk9x3qsr25560w6w68ldf5i7bvx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winutil" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0vkyl3fbbf05n5ph5yz8sfaccrk9x3qsr25560w6w68ldf5i7bvx"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -61773,22 +61975,22 @@ (define-public rust-write-json-0.1
     (name "rust-write-json")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "write-json" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1qxr1xwwyf7rd270rvjlcssm515pikf0sg70wpiymz4miy29l1h6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "write-json" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qxr1xwwyf7rd270rvjlcssm515pikf0sg70wpiymz4miy29l1h6"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/matklad/write-json")
+     "https://github.com/matklad/write-json")
     (synopsis
-      "Simple {dependency,trait,macro}-less JSON serialization")
+     "Simple {dependency,trait,macro}-less JSON serialization")
     (description
-      "This package provides a simple {dependency,trait,macro}-less JSON
+     "This package provides a simple {dependency,trait,macro}-less JSON
 serialization.")
     (license (list license:expat license:asl2.0))))
 
@@ -61797,13 +61999,13 @@ (define-public rust-ws2-32-sys-0.2
     (name "rust-ws2-32-sys")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ws2_32-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ppscg5qfqaw0gzwv2a4nhn5bn01ff9iwn6ysqnzm4n8s3myz76m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ws2_32-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ppscg5qfqaw0gzwv2a4nhn5bn01ff9iwn6ysqnzm4n8s3myz76m"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -61821,13 +62023,13 @@ (define-public rust-wyhash-0.5
     (name "rust-wyhash")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wyhash" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "15f26hvx6nyp4d6iswha7rm3psidxa2k2iab1f1aqgsyq9iy3xms"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wyhash" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "15f26hvx6nyp4d6iswha7rm3psidxa2k2iab1f1aqgsyq9iy3xms"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61844,14 +62046,14 @@ (define-public rust-wyz-0.2
     (name "rust-wyz")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wyz" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05028bk49b2ix1lz22sj65fnlxr0f29j2klkaqjxp6az3c6hprl5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wyz" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05028bk49b2ix1lz22sj65fnlxr0f29j2klkaqjxp6az3c6hprl5"))))
     (build-system cargo-build-system)
     (home-page "https://myrrlyn.net/crates/wyz")
     (synopsis "Collection of utility functions")
@@ -61900,13 +62102,13 @@ (define-public rust-xattr-0.2
     (name "rust-xattr")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xattr" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0k556fb6f5jc907975j9c8iynl2fqz3rf0w6fiig83i4yi0kfk14"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xattr" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0k556fb6f5jc907975j9c8iynl2fqz3rf0w6fiig83i4yi0kfk14"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -62003,26 +62205,26 @@ (define-public rust-xflags-macros-0.2
     (name "rust-xflags-macros")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xflags-macros" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1jb2bq76kzzmq5rdyi3hzkq6x41l11fr1yn00f5ib5j9l4y7s0y8"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-proc-macro2" ,rust-proc-macro2-1))
-        #:cargo-development-inputs
-        (("rust-expect-test" ,rust-expect-test-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xflags-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jb2bq76kzzmq5rdyi3hzkq6x41l11fr1yn00f5ib5j9l4y7s0y8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-1))
+       #:cargo-development-inputs
+       (("rust-expect-test" ,rust-expect-test-1))))
     (home-page "https://github.com/matklad/xflags")
     (synopsis
-      "Private implementation details of xflags")
+     "Private implementation details of xflags")
     (description
-      "This package provides a private implementation details of xflags.")
+     "This package provides a private implementation details of xflags.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-xflags-0.2
@@ -62108,14 +62310,14 @@ (define-public rust-xml5ever-0.16
     (name "rust-xml5ever")
     (version "0.16.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xml5ever" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nbapmdrn4zqry5p01l2mmbb48fcq0gga377p1c4lkb1x3k546qb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xml5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nbapmdrn4zqry5p01l2mmbb48fcq0gga377p1c4lkb1x3k546qb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -62400,14 +62602,14 @@ (define-public rust-zoneinfo-compiled-0.4
     (name "rust-zoneinfo-compiled")
     (version "0.4.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "zoneinfo_compiled" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0bnm19w791q6kp79s0zl1cj9w51bw5xrifrxfy3g1p05i676y4vf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "zoneinfo_compiled" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0bnm19w791q6kp79s0zl1cj9w51bw5xrifrxfy3g1p05i676y4vf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -62598,19 +62800,19 @@ (define-public rust-packed-struct
     (name "rust-packed-struct")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "packed_struct" version))
-        (file-name
-	  (string-append name "-" version ".tar.gz"))
-        (sha256
-	  (base32
-	    "10b2fmxchmcigwagnhi42frj74dl02wyv0xwmbr9839qfh7gijlh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "packed_struct" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10b2fmxchmcigwagnhi42frj74dl02wyv0xwmbr9839qfh7gijlh"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-serde" ,rust-serde-1)
-         ("rust-serde-derive" ,rust-serde-derive-1))))
+     `(#:cargo-inputs
+       (("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1))))
     (home-page "http://www.hashmismatch.net/libraries/packed-struct/")
     (synopsis "Binary-level structure packing and unpacking generator")
     (description "This package provides bit-level packing an unpacking
@@ -62811,30 +63013,30 @@ (define-public rust-svd-parser-0.9
     (name "rust-svd-parser")
     (version "0.10.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "svd-parser" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1fbr4m9cla6xvmrib7pad9hv29sn2d5hjbc77pz12lwzmm2pczk9"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-anyhow" ,rust-anyhow-1)
-         ("rust-once-cell" ,rust-once-cell-1)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-regex" ,rust-regex-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-thiserror" ,rust-thiserror-1)
-         ("rust-xmltree" ,rust-xmltree-0.8))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "svd-parser" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fbr4m9cla6xvmrib7pad9hv29sn2d5hjbc77pz12lwzmm2pczk9"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-xmltree" ,rust-xmltree-0.8))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/rust-embedded/svd")
     (synopsis "A CMSIS-SVD file parser")
     (description
-      "This package provides a CMSIS-SVD file parser")
+     "This package provides a CMSIS-SVD file parser")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-sxd-document-0.3
